Bug 75047 - NIS not added to nsswitch after install
NIS not added to nsswitch after install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-03 19:08 EDT by Stephen Lawrence Jr.
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Lawrence Jr. 2002-10-03 19:08:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
I selected NIS authentication during the installation, but after the install,
the nsswitch file only contained files nisplus, not files nis nisplus.

Also, the nisdomain was not set, even though I specified to broadcast for the
server in the domain I told it to use for nis during the installation.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.Choose NIS during install (broadcast server)
2.view /etc/nsswitch.conf after install
3.type 'nisdomainname'
	

Actual Results:  <snip>
passwd:     files nisplus
shadow:     files nisplus
group:      files nisplus
<snip>

# nisdomainname
<blank>

Expected Results:  passwd:     files nis nisplus
shadow:     files nis nisplus
group:      files nis nisplus

# nisdomainname
mynis.domain

Additional info:
Comment 1 Michael Fulbright 2002-10-04 12:54:19 EDT
I could not reproduce this behaviour you describe in a graphical install where I
specified:

 - use NIS for authetication
 - use a NIS domain of 'my.nis.domain'
 - use broadcast

The files all appeared to be setup correctly.

Could you give us some more detailed instructions on how to reproduce this issue?
And was this a text or graphical based install?
Comment 2 Stephen Lawrence Jr. 2002-10-08 10:48:16 EDT
It was a graphical installation. I will have to pay attention on my next
installation to see if this happens again.
Comment 3 Michael Fulbright 2002-11-01 12:53:59 EST
Any luck?
Comment 4 Michael Fulbright 2002-12-02 11:08:23 EST
Closing due to inactivity, please reopen if you have additional information to add.
Comment 5 Red Hat Bugzilla 2006-02-21 13:49:44 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.